package com.heyu.api.data.service.device;
/**
* <p>
* 设备与用户绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceUserBindEntity;
public interface DeviceUserBindService extends IService<DeviceUserBindEntity> {



	DeviceUserBindEntity selectDeviceUserBindById(Long id);


	Long insertDeviceUserBind(DeviceUserBindEntity deviceUserBind);


	Long insertOrUpdateDeviceUserBind(DeviceUserBindEntity deviceUserBind);


	int updateDeviceUserBindById(DeviceUserBindEntity deviceUserBind);


	int updateCoverDeviceUserBindById(DeviceUserBindEntity deviceUserBind);


	int deleteDeviceUserBindById(Long id);


}